---
title: FetchEvent.resultingClientId
slug: Web/API/FetchEvent/resultingClientId
tags:
  - API
  - DOM
  - FetchEvent
  - Property
  - Reference
  - Service Workers
  - Worker
  - resultingClientId
---
<div>{{APIRef("Service Workers API")}}</div>

<p>The <strong><code>resultingClientId</code></strong> read-only property of the {{domxref("FetchEvent")}} interface is the {{domxref("Client.id", "id")}} of the {{domxref("Client", "client")}} that replaces the previous client during a page navigation.</p>

<p>For example, when navigating from page A to page B <code>resultingClientId</code> is the ID of the client associated with page B.</p>

<p>If the fetch request is a subresource request or the request's <code><a href="/en-US/docs/Web/API/Request/destination">destination</a></code> is <code>report</code>, <code>resultingClientId</code> will be an empty string.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>myResultingClientId</em> = <em>fetchEvent</em>.resultingClientId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">self.addEventListener('fetch', function(event) {
  console.log(event.resultingClientId);
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#dom-fetchevent-resultingclientid', 'resultingClientId')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FetchEvent.resultingClientId")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li><a class="external external-icon" href="https://github.com/mdn/sw-test">Service workers basic code example</a></li>
 <li><a class="external external-icon" href="https://jakearchibald.github.io/isserviceworkerready/">Is ServiceWorker ready?</a></li>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Workers_API/Using_web_workers">Using web workers</a></li>
</ul>
